## wrapitk-python 3.20.0.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(DebianWrapITK)

#-----------------------------------------------------------------------------
# ITK version number.  An even minor number corresponds to releases.
SET(ITK_VERSION_MAJOR "3")
SET(ITK_VERSION_MINOR "20")
SET(ITK_VERSION_PATCH "0")

  # This setting of SOVERSION assumes that any API change
  # will increment either the minor or major version number of ITK.
  SET(ITK_LIBRARY_PROPERTIES 
      VERSION   "${ITK_VERSION_MAJOR}.${ITK_VERSION_MINOR}.${ITK_VERSION_PATCH}"
      SOVERSION "${ITK_VERSION_MAJOR}.${ITK_VERSION_MINOR}"
     )

SUBDIRS(/usr/src/WrapITK)

=== debian/changelog ===
wrapitk-python (3.20.0.1) unstable; urgency=low

  * Initial release.

 -- Steve M. Robbins <smr@debian.org>  Sat, 01 Oct 2011 12:55:30 -0500

=== debian/control ===
Source: wrapitk-python
Homepage: http://www.itk.org/
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 8), libinsighttoolkit3-dev,
 cmake, cableswig (>= 0.1.0+cvs20110226), gccxml (>= 0.9.0+cvs20110723),
 libgdcm2-dev, libfftw3-dev,
 python-dev (>= 2.6.6-3~), python-numpy,
 libvtk5-dev, python-vtk
X-Python-Version: 2.7
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/insighttoolkit/wrapitk/python/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/insighttoolkit/wrapitk/python/trunk/

Package: python-insighttoolkit3
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python-insighttoolkit
Replaces: python-insighttoolkit
XB-Python-Version: ${python:Versions}
Description: Image processing toolkit for registration and segmentation - Python bindings
 ITK is an open-source software toolkit for performing registration and
 segmentation. Segmentation is the process of identifying and
 classifying data found in a digitally sampled
 representation. Typically the sampled representation is an image
 acquired from such medical instrumentation as CT or MRI
 scanners. Registration is the task of aligning or developing
 correspondences between data. For example, in the medical
 environment, a CT scan may be aligned with a MRI scan in order to
 combine the information contained in both.
 .
 This package contains the Python language bindings for ITK.

=== debian/rules ===
#!/usr/bin/make -f

VER_MAJOR = 3
VER_MINOR = 20
VER_PATCH = 0

PYVERS = $(shell pyversions -r debian/control)

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE:STRING=Release \
	-DCMAKE_C_FLAGS:STRING=-O2 \
	-DCMAKE_CXX_FLAGS:STRING=-O2 \
	-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DITK_USE_REVIEW:BOOL=ON \
	-DITK_USE_REVIEW_STATISTICS:BOOL=ON \
	-DITK_USE_OPTIMIZED_REGISTRATION_METHODS:BOOL=ON \
	-DITK_USE_TRANSFORM_IO_FACTORIES:BOOL=ON \
	-DITK_USE_SYSTEM_GDCM:BOOL=ON \
	-DITK_USE_SYSTEM_VXL:BOOL=OFF \
	-DUSE_FFTWD:BOOL=ON \
	-DUSE_FFTWF:BOOL=ON \
	-DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/$(PYVERS) \
	-DPYTHON_INCLUDE_PATH:PATH=/usr/include/$(PYVERS) \
	-DPYTHON_NUMPY_INCLUDE_PATH:PATH=/usr/include/$(PYVERS)/numpy \
	-DPYTHON_LIBRARY:FILEPATH=/usr/lib/lib$(PYVERS).so \
	-DWRAP_ITK_JAVA:BOOL=OFF \
	-DWRAP_ITK_PYTHON:BOOL=ON \
	-DWRAP_ITK_TCL:BOOL=OFF \
	-DWRAP_ITK_DIMS:STRING='2;3' \
	-DWRAP_complex_float:BOOL=ON \
	-DWRAP_covariant_vector_float:BOOL=ON \
	-DWRAP_float:BOOL=ON \
	-DWRAP_rgb_unsigned_char:BOOL=ON \
	-DWRAP_rgb_unsigned_short:BOOL=ON \
	-DWRAP_signed_short:BOOL=ON \
	-DWRAP_unsigned_char:BOOL=ON \
	-DWRAP_unsigned_short:BOOL=ON \
	-DWRAP_vector_float:BOOL=ON

VER_FULL = $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
SOVERSION = $(VER_MAJOR).$(VER_MINOR)

pkg_python = python-insighttoolkit$(VER_MAJOR)


%:
	dh $@ --with python2 --parallel

override_dh_auto_configure: pre-build
	dh_auto_configure --buildsystem=cmake -- $(CMAKE_FLAGS)

pre-build:
	echo "Available disk space:"
	df -h .

override_dh_auto_install:
	make -C obj* DESTDIR=`pwd`/debian/$(pkg_python) install
	cd debian/$(pkg_python)/usr/lib/InsightToolkit/WrapITK \
		&& rm -rf ClassIndex Configuration SWIG WrapITKConfig.cmake \
		&& mv lib/libSwig* ../..
	rm -rf debian/$(pkg_python)/usr/share/cmake-2.8


override_dh_lintian:
	echo "$(pkg_python): non-dev-pkg-with-shlib-symlink" > debian/$(pkg_python).lintian-overrides
	echo "$(pkg_python): package-name-doesnt-match-sonames" >> debian/$(pkg_python).lintian-overrides
	dh_lintian

control-file:
	sed -e "s/@VER_MAJOR@/$(VER_MAJOR)/g" \
	    -e "s/@SOVERSION@/$(SOVERSION)/g" \
	    < debian/control.in > debian/control.tmp
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

## wrapitk-python 3.20.1.1

=== debian/changelog ===
wrapitk-python (3.20.1.1) unstable; urgency=low

  * rules: Build with -g and -O1.
  * control.in: Build-depend on matching version of ITK -dev package.

 -- Steve M. Robbins <smr@debian.org>  Sun, 30 Oct 2011 08:09:27 -0500

wrapitk-python (3.20.0.1+nmu1) UNRELEASED; urgency=low

  * Remove XB-Python-Version (as per TransitionToDHPython2 doc)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 07 Oct 2011 11:55:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: debhelper (>= 8), libinsighttoolkit3-dev,
+Build-Depends: debhelper (>= 8), libinsighttoolkit3-dev (>= 3.20.1),
  cmake, cableswig (>= 0.1.0+cvs20110226), gccxml (>= 0.9.0+cvs20110723),
  libgdcm2-dev, libfftw3-dev,
  python-dev (>= 2.6.6-3~), python-numpy,
  libvtk5-dev, python-vtk
 X-Python-Version: 2.7
 Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/insighttoolkit/wrapitk/python/trunk/?rev=0&sc=0
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/insighttoolkit/wrapitk/python/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/insighttoolkit/wrapitk/python/trunk/
 
 Package: python-insighttoolkit3
@@ -20,7 +20,6 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python-insighttoolkit
 Replaces: python-insighttoolkit
-XB-Python-Version: ${python:Versions}
 Description: Image processing toolkit for registration and segmentation - Python bindings
  ITK is an open-source software toolkit for performing registration and
  segmentation. Segmentation is the process of identifying and

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,13 @@
 
 VER_MAJOR = 3
 VER_MINOR = 20
-VER_PATCH = 0
+VER_PATCH = 1
 
 PYVERS = $(shell pyversions -r debian/control)
 
 CMAKE_FLAGS = \
-	-DCMAKE_BUILD_TYPE:STRING=Release \
-	-DCMAKE_C_FLAGS:STRING=-O2 \
-	-DCMAKE_CXX_FLAGS:STRING=-O2 \
+	-DCMAKE_C_FLAGS:STRING='-g -O1' \
+	-DCMAKE_CXX_FLAGS:STRING='-g -O1' \
 	-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DITK_USE_REVIEW:BOOL=ON \
@@ -69,6 +68,7 @@
 
 control-file:
 	sed -e "s/@VER_MAJOR@/$(VER_MAJOR)/g" \
+	    -e "s/@VER_FULL@/$(VER_FULL)/g" \
 	    -e "s/@SOVERSION@/$(SOVERSION)/g" \
 	    < debian/control.in > debian/control.tmp
 	[ -e debian/control ] \

## wrapitk-python 3.20.1.2

=== debian/changelog ===
wrapitk-python (3.20.1.2) unstable; urgency=low

  * rules: Don't build ITKVTKGLUE.  Closes: #651433.

 -- Steve M. Robbins <smr@debian.org>  Sat, 10 Dec 2011 20:59:37 -0600

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 X-Python-Version: 2.7
 Standards-Version: 3.9.2
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/insighttoolkit/wrapitk/python/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/insighttoolkit/wrapitk/python/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/insighttoolkit/wrapitk/python/trunk/
 
 Package: python-insighttoolkit3
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,8 @@
 	-DWRAP_signed_short:BOOL=ON \
 	-DWRAP_unsigned_char:BOOL=ON \
 	-DWRAP_unsigned_short:BOOL=ON \
-	-DWRAP_vector_float:BOOL=ON
+	-DWRAP_vector_float:BOOL=ON \
+	-DBUILD_ITKVTKGLUE:BOOL=OFF
 
 VER_FULL = $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
 SOVERSION = $(VER_MAJOR).$(VER_MINOR)

## wrapitk-python 3.20.1.4

=== debian/changelog ===
wrapitk-python (3.20.1.4) unstable; urgency=low

  * rules: Disable wrapping for Module/FFT until gccxml issue with long
    doubles is fixed (#654718).

 -- Steve M. Robbins <smr@debian.org>  Mon, 16 Jan 2012 03:33:23 -0600

wrapitk-python (3.20.1.3) unstable; urgency=low

  * control.in: Build only on architectures with sufficient computing
    power.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Jan 2012 12:41:02 -0600

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Package: python-insighttoolkit3
 Section: python
-Architecture: any
+Architecture: any-amd64 any-i386 any-ia64 any-powerpc any-sparc
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python-insighttoolkit
 Replaces: python-insighttoolkit

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,8 @@
 	-DWRAP_unsigned_char:BOOL=ON \
 	-DWRAP_unsigned_short:BOOL=ON \
 	-DWRAP_vector_float:BOOL=ON \
+	-DWRAP_FFT:BOOL=OFF \
+	-DWRAP_FFTW:BOOL=OFF \
 	-DBUILD_ITKVTKGLUE:BOOL=OFF
 
 VER_FULL = $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

## wrapitk-python 3.20.1.5

=== debian/changelog ===
wrapitk-python (3.20.1.5) unstable; urgency=low

  * rules: Build ITKVTKGLUE, thanks to patch from Paul Novotny.  Closes:
    #651433.
  
  * control.in: Ensure build with insighttoolkit >= 3.20.1-4, which has
    patch for ITKVTKGLUE and vtk 5.8.

 -- Steve M. Robbins <smr@debian.org>  Mon, 30 Jan 2012 22:36:46 -0600

## wrapitk-python 3.20.1.5build1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # ITK version number.  An even minor number corresponds to releases.
 SET(ITK_VERSION_MAJOR "3")
 SET(ITK_VERSION_MINOR "20")
-SET(ITK_VERSION_PATCH "0")
+SET(ITK_VERSION_PATCH "1")
 
   # This setting of SOVERSION assumes that any API change
   # will increment either the minor or major version number of ITK.

=== debian/changelog ===
wrapitk-python (3.20.1.5build1) quantal; urgency=low

  * Rebuild against libgdcm2.2.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 12:20:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: debhelper (>= 8), libinsighttoolkit3-dev (>= 3.20.1),
+Build-Depends: debhelper (>= 8), libinsighttoolkit3-dev (>= 3.20.1-4),
  cmake, cableswig (>= 0.1.0+cvs20110226), gccxml (>= 0.9.0+cvs20110723),
  libgdcm2-dev, libfftw3-dev,
  python-dev (>= 2.6.6-3~), python-numpy,

=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,10 @@
 	-DWRAP_vector_float:BOOL=ON \
 	-DWRAP_FFT:BOOL=OFF \
 	-DWRAP_FFTW:BOOL=OFF \
-	-DBUILD_ITKVTKGLUE:BOOL=OFF
+	-DBUILD_ITKVTKGLUE:BOOL=ON
 
-VER_FULL = $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
+# Need Revision -4 to build ITKVTKGLUE.
+VER_FULL = $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)-4
 SOVERSION = $(VER_MAJOR).$(VER_MINOR)
 
 pkg_python = python-insighttoolkit$(VER_MAJOR)

## wrapitk-python 3.20.1.5ubuntu1

=== debian/changelog ===
wrapitk-python (3.20.1.5ubuntu1) raring; urgency=low

  * Handled multiarch Python location, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 14 Apr 2013 16:09:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Homepage: http://www.itk.org/
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 8), libinsighttoolkit3-dev (>= 3.20.1-4),
  cmake, cableswig (>= 0.1.0+cvs20110226), gccxml (>= 0.9.0+cvs20110723),
  libgdcm2-dev, libfftw3-dev,
  python-dev (>= 2.6.6-3~), python-numpy,
- libvtk5-dev, python-vtk
+ libvtk5-dev, python-vtk, dpkg-dev (>= 1.16.0)
 X-Python-Version: 2.7
 Standards-Version: 3.9.2
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/insighttoolkit/wrapitk/python/trunk/

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 VER_MINOR = 20
 VER_PATCH = 1
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 PYVERS = $(shell pyversions -r debian/control)
 
 CMAKE_FLAGS = \
@@ -22,7 +23,7 @@
 	-DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/$(PYVERS) \
 	-DPYTHON_INCLUDE_PATH:PATH=/usr/include/$(PYVERS) \
 	-DPYTHON_NUMPY_INCLUDE_PATH:PATH=/usr/include/$(PYVERS)/numpy \
-	-DPYTHON_LIBRARY:FILEPATH=/usr/lib/lib$(PYVERS).so \
+	-DPYTHON_LIBRARY:FILEPATH=/usr/lib/$(DEB_HOST_MULTIARCH)/lib$(PYVERS).so \
 	-DWRAP_ITK_JAVA:BOOL=OFF \
 	-DWRAP_ITK_PYTHON:BOOL=ON \
 	-DWRAP_ITK_TCL:BOOL=OFF \
